install script does not appear to work

cancel
Showing results for 
Search instead for 
Did you mean: 

install script does not appear to work

L2 Linker

I am running the latest version of Ubuntu server 16.04 installed from ubuntu-16.04.7-server-amd64.iso.

it is a clean install with only the Openssh package added during install, and a user explorer.

Once installed I have tried running the script immediately, and I have tried doing a full apt-get dist-upgrade

It fails to install mariadb as it doesn't have the gpg keys, and the scipt doesn't use the flag to accept this fact.

Installing the GPG keys manually with :

gpg --keyserver hkp://keyserver.ubuntu.com:80 --recv F1656F24C74CD1D8
gpg --export --armor F1656F24C74CD1D8 | sudo apt-key add

sorted that out.

 

There are a bunch of 404 errors for things like

https://conversionupdates.paloaltonetworks.com/ex-repo.gpg

https://www.rabbitmq.com/debian testing/main

https://www.rabbitmq.com/debian/dists/testing/main/binary-amd64/Packages

Now I am still getting errors because it is complaining it can't find a load of Python3.7 stuff, which isn't surprising, as Python3.7 isn't on Ubuntu 16.04 as far as I can see.  I tried installing it using pyenv, which kind of fixed some of the errors, but it still seems to manage to escape the venv and throw a load of errors towards the end:

Updating Python modules

spawn bash /var/www/html/OS/BPA/updateBPA306.sh
Cannot add PPA: 'ppa:~deadsnakes/ubuntu/ppa'.
ERROR: '~deadsnakes' user or team does not exist.
Hit:1 http://ppa.launchpad.net/adiscon/v8-stable/ubuntu xenial InRelease
Hit:2 http://gb.archive.ubuntu.com/ubuntu xenial InRelease
Get:3 http://gb.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
Get:4 http://gb.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
Hit:6 http://sgp1.mirrors.digitalocean.com/mariadb/repo/10.1/ubuntu xenial InRelease
Hit:7 https://esm.ubuntu.com/infra/ubuntu xenial-infra-security InRelease
Hit:8 https://esm.ubuntu.com/infra/ubuntu xenial-infra-updates InRelease
Get:9 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]
Ign:5 https://www.rabbitmq.com/debian testing InRelease
Ign:10 https://www.rabbitmq.com/debian testing Release
Ign:11 https://www.rabbitmq.com/debian testing/main amd64 Packages
Ign:12 https://www.rabbitmq.com/debian testing/main i386 Packages
Ign:13 https://www.rabbitmq.com/debian testing/main all Packages
Ign:16 https://conversionupdates.paloaltonetworks.com expedition-updates/ InRelease
Ign:14 https://www.rabbitmq.com/debian testing/main Translation-en_GB
Ign:15 https://www.rabbitmq.com/debian testing/main Translation-en
Ign:11 https://www.rabbitmq.com/debian testing/main amd64 Packages
Ign:12 https://www.rabbitmq.com/debian testing/main i386 Packages
Ign:13 https://www.rabbitmq.com/debian testing/main all Packages
Ign:14 https://www.rabbitmq.com/debian testing/main Translation-en_GB
Ign:15 https://www.rabbitmq.com/debian testing/main Translation-en
Ign:17 https://conversionupdates.paloaltonetworks.com expedition-updates/ Release
Ign:11 https://www.rabbitmq.com/debian testing/main amd64 Packages
Ign:12 https://www.rabbitmq.com/debian testing/main i386 Packages
Ign:13 https://www.rabbitmq.com/debian testing/main all Packages
Ign:14 https://www.rabbitmq.com/debian testing/main Translation-en_GB
Ign:15 https://www.rabbitmq.com/debian testing/main Translation-en
Ign:11 https://www.rabbitmq.com/debian testing/main amd64 Packages
Ign:12 https://www.rabbitmq.com/debian testing/main i386 Packages
Ign:13 https://www.rabbitmq.com/debian testing/main all Packages
Ign:18 https://conversionupdates.paloaltonetworks.com expedition-updates/ Packages.diff/Index
Ign:14 https://www.rabbitmq.com/debian testing/main Translation-en_GB
Ign:15 https://www.rabbitmq.com/debian testing/main Translation-en
Ign:11 https://www.rabbitmq.com/debian testing/main amd64 Packages
Ign:12 https://www.rabbitmq.com/debian testing/main i386 Packages
Ign:13 https://www.rabbitmq.com/debian testing/main all Packages
Ign:14 https://www.rabbitmq.com/debian testing/main Translation-en_GB
Ign:19 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en_GB
Ign:15 https://www.rabbitmq.com/debian testing/main Translation-en
Ign:11 https://www.rabbitmq.com/debian testing/main amd64 Packages
Ign:12 https://www.rabbitmq.com/debian testing/main i386 Packages
Ign:13 https://www.rabbitmq.com/debian testing/main all Packages
Ign:14 https://www.rabbitmq.com/debian testing/main Translation-en_GB
Ign:15 https://www.rabbitmq.com/debian testing/main Translation-en
Err:11 https://www.rabbitmq.com/debian testing/main amd64 Packages
404 OK
Ign:20 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en
Ign:12 https://www.rabbitmq.com/debian testing/main i386 Packages
Ign:13 https://www.rabbitmq.com/debian testing/main all Packages
Ign:14 https://www.rabbitmq.com/debian testing/main Translation-en_GB
Ign:15 https://www.rabbitmq.com/debian testing/main Translation-en
Ign:21 https://conversionupdates.paloaltonetworks.com expedition-updates/ Packages
Ign:19 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en_GB
Ign:20 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en
Ign:21 https://conversionupdates.paloaltonetworks.com expedition-updates/ Packages
Ign:19 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en_GB
Ign:20 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en
Ign:21 https://conversionupdates.paloaltonetworks.com expedition-updates/ Packages
Ign:19 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en_GB
Ign:20 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en
Hit:21 https://conversionupdates.paloaltonetworks.com expedition-updates/ Packages
Ign:19 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en_GB
Ign:20 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en
Ign:19 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en_GB
Ign:20 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en
Ign:19 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en_GB
Ign:20 https://conversionupdates.paloaltonetworks.com expedition-updates/ Translation-en
Fetched 325 kB in 10s (30.1 kB/s)
Reading package lists... Done
W: The repository 'http://www.rabbitmq.com/debian testing Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'https://conversionupdates.paloaltonetworks.com expedition-updates/ Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch https://www.rabbitmq.com/debian/dists/testing/main/binary-amd64/Packages 404 OK
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package python3.7
E: Couldn't find any package by glob 'python3.7'
E: Couldn't find any package by regex 'python3.7'
Cannot uninstall requirement best-practice-assessment-ngfw-pano, not installed
You are using pip version 8.1.1, however version 21.2.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Collecting lxml
Exception:
Traceback (most recent call last):
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 140, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/connection.py", line 91, in create_connection
raise err
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/connection.py", line 81, in create_connection
sock.connect(sa)
OSError: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 560, in urlopen
body=body, headers=headers)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 787, in _validate_conn
conn.connect()
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 231, in connect
conn = self._new_conn()
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 149, in _new_conn
self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: <requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f02c4814c18>: Failed to establish a new connection: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 209, in main
status = self.run(options, args)
File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 328, in run
wb.build(autobuilding=True)
File "/usr/lib/python3/dist-packages/pip/wheel.py", line 748, in build
self.requirement_set.prepare_files(self.finder)
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 360, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 512, in _prepare_file
finder, self.upgrade, require_hashes)
File "/usr/lib/python3/dist-packages/pip/req/req_install.py", line 273, in populate_link
self.link = finder.find_requirement(self, upgrade)
File "/usr/lib/python3/dist-packages/pip/index.py", line 442, in find_requirement
all_candidates = self.find_all_candidates(req.name)
File "/usr/lib/python3/dist-packages/pip/index.py", line 400, in find_all_candidates
for page in self._get_pages(url_locations, project_name):
File "/usr/lib/python3/dist-packages/pip/index.py", line 545, in _get_pages
page = self._get_page(location)
File "/usr/lib/python3/dist-packages/pip/index.py", line 648, in _get_page
return HTMLPage.get_page(link, session=self.session)
File "/usr/lib/python3/dist-packages/pip/index.py", line 757, in get_page
"Cache-Control": "max-age=600",
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 492, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/pip/download.py", line 378, in request
return super(PipSession, self).request(method, url, *args, **kwargs)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 480, in request
resp = self.send(prep, **send_kwargs)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 588, in send
r = adapter.send(request, **kwargs)
File "/usr/share/python-wheels/CacheControl-0.11.5-py2.py3-none-any.whl/cachecontrol/adapter.py", line 46, in send
resp = super(CacheControlAdapter, self).send(request, **kw)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/adapters.py", line 376, in send
timeout=timeout
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 610, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/retry.py", line 238, in increment
total -= 1
TypeError: unsupported operand type(s) for -=: 'Retry' and 'int'
You are using pip version 8.1.1, however version 21.2.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Collecting matplotlib
Exception:
Traceback (most recent call last):
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 140, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/connection.py", line 91, in create_connection
raise err
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/connection.py", line 81, in create_connection
sock.connect(sa)
OSError: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 560, in urlopen
body=body, headers=headers)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 787, in _validate_conn
conn.connect()
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 231, in connect
conn = self._new_conn()
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 149, in _new_conn
self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: <requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7f0ced9c8b70>: Failed to establish a new connection: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 209, in main
status = self.run(options, args)
File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 328, in run
wb.build(autobuilding=True)
File "/usr/lib/python3/dist-packages/pip/wheel.py", line 748, in build
self.requirement_set.prepare_files(self.finder)
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 360, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 512, in _prepare_file
finder, self.upgrade, require_hashes)
File "/usr/lib/python3/dist-packages/pip/req/req_install.py", line 273, in populate_link
self.link = finder.find_requirement(self, upgrade)
File "/usr/lib/python3/dist-packages/pip/index.py", line 442, in find_requirement
all_candidates = self.find_all_candidates(req.name)
File "/usr/lib/python3/dist-packages/pip/index.py", line 400, in find_all_candidates
for page in self._get_pages(url_locations, project_name):
File "/usr/lib/python3/dist-packages/pip/index.py", line 545, in _get_pages
page = self._get_page(location)
File "/usr/lib/python3/dist-packages/pip/index.py", line 648, in _get_page
return HTMLPage.get_page(link, session=self.session)
File "/usr/lib/python3/dist-packages/pip/index.py", line 757, in get_page
"Cache-Control": "max-age=600",
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 492, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/pip/download.py", line 378, in request
return super(PipSession, self).request(method, url, *args, **kwargs)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 480, in request
resp = self.send(prep, **send_kwargs)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 588, in send
r = adapter.send(request, **kwargs)
File "/usr/share/python-wheels/CacheControl-0.11.5-py2.py3-none-any.whl/cachecontrol/adapter.py", line 46, in send
resp = super(CacheControlAdapter, self).send(request, **kw)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/adapters.py", line 376, in send
timeout=timeout
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 610, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/retry.py", line 238, in increment
total -= 1
TypeError: unsupported operand type(s) for -=: 'Retry' and 'int'
You are using pip version 8.1.1, however version 21.2.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
sudo: python3.7: command not found
ln: failed to create symbolic link '/usr/local/bin/python3': File exists
ln: failed to create symbolic link '/usr/local/bin/pip3': File exists
Collecting Pillow<=5.4.1
Exception:
Traceback (most recent call last):
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 140, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/connection.py", line 91, in create_connection
raise err
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/connection.py", line 81, in create_connection
sock.connect(sa)
OSError: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 560, in urlopen
body=body, headers=headers)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 787, in _validate_conn
conn.connect()
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 231, in connect
conn = self._new_conn()
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connection.py", line 149, in _new_conn
self, "Failed to establish a new connection: %s" % e)
requests.packages.urllib3.exceptions.NewConnectionError: <requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x7fc8ee6dfc88>: Failed to establish a new connection: [Errno 101] Network is unreachable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 209, in main
status = self.run(options, args)
File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 328, in run
wb.build(autobuilding=True)
File "/usr/lib/python3/dist-packages/pip/wheel.py", line 748, in build
self.requirement_set.prepare_files(self.finder)
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 360, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File "/usr/lib/python3/dist-packages/pip/req/req_set.py", line 512, in _prepare_file
finder, self.upgrade, require_hashes)
File "/usr/lib/python3/dist-packages/pip/req/req_install.py", line 273, in populate_link
self.link = finder.find_requirement(self, upgrade)
File "/usr/lib/python3/dist-packages/pip/index.py", line 442, in find_requirement
all_candidates = self.find_all_candidates(req.name)
File "/usr/lib/python3/dist-packages/pip/index.py", line 400, in find_all_candidates
for page in self._get_pages(url_locations, project_name):
File "/usr/lib/python3/dist-packages/pip/index.py", line 545, in _get_pages
page = self._get_page(location)
File "/usr/lib/python3/dist-packages/pip/index.py", line 648, in _get_page
return HTMLPage.get_page(link, session=self.session)
File "/usr/lib/python3/dist-packages/pip/index.py", line 757, in get_page
"Cache-Control": "max-age=600",
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 492, in get
return self.request('GET', url, **kwargs)
File "/usr/lib/python3/dist-packages/pip/download.py", line 378, in request
return super(PipSession, self).request(method, url, *args, **kwargs)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 480, in request
resp = self.send(prep, **send_kwargs)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/sessions.py", line 588, in send
r = adapter.send(request, **kwargs)
File "/usr/share/python-wheels/CacheControl-0.11.5-py2.py3-none-any.whl/cachecontrol/adapter.py", line 46, in send
resp = super(CacheControlAdapter, self).send(request, **kw)
File "/usr/share/python-wheels/requests-2.9.1-py2.py3-none-any.whl/requests/adapters.py", line 376, in send
timeout=timeout
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/connectionpool.py", line 610, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/share/python-wheels/urllib3-1.13.1-py2.py3-none-any.whl/urllib3/util/retry.py", line 238, in increment
total -= 1
TypeError: unsupported operand type(s) for -=: 'Retry' and 'int'
You are using pip version 8.1.1, however version 21.2.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Requirement already satisfied (use --upgrade to upgrade): chardet in /usr/lib/python3/dist-packages
You are using pip version 8.1.1, however version 21.2.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Processing /var/www/html/OS/BPA/best_practice_assessment_ngfw_pano-master.zip
Complete output from command python setup.py egg_info:
Download error on https://pypi.python.org/simple/pytest-runner/: [Errno 101] Network is unreachable -- Some packages may not be found!
Couldn't find index page for 'pytest-runner' (maybe misspelled?)
Download error on https://pypi.python.org/simple/: [Errno 101] Network is unreachable -- Some packages may not be found!
No local packages or download links found for pytest-runner
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-a6yn_g4a-build/setup.py", line 73, in <module>
"Programming Language :: Python :: 3.7",
File "/usr/lib/python3.5/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 269, in __init__
self.fetch_build_eggs(attrs['setup_requires'])
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 313, in fetch_build_eggs
replace_conflicting=True,
File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 826, in resolve
dist = best[req.key] = env.best_match(req, ws, installer)
File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 1092, in best_match
return self.obtain(req, installer)
File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 1104, in obtain
return installer(requirement)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 380, in fetch_build_egg
return cmd.easy_install(req)
File "/usr/lib/python3/dist-packages/setuptools/command/easy_install.py", line 657, in easy_install
raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pytest-runner')

----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-a6yn_g4a-build/
You are using pip version 8.1.1, however version 21.2.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

 

Should I keep trying to get this to install error free, or would it be quicker to wait until v2.0 is released in 2022?

 

 

2 REPLIES 2

L1 Bithead

I also notice that the script is not working. Tried clean install on Ubuntu 16.04 with and without latest updates. I do get the default apache Ubuntu webpage when connecting. So looks like configuration of the web interface is not working.

try running:

sudo gpg --keyserver hkp://keyserver.ubuntu.com:80 --recv F1656F24C74CD1D8
sudo gpg --export --armor F1656F24C74CD1D8 | sudo apt-key add
sudo add-apt-repository ppa:deadsnakes/ppa

 before you run the install script.  Most of the problems I had was where the install script doesn't factor in copying the env variables for the proxy that I am behind.  It breaks alot of bits.  I had to edit some of the install scripts sudo commands to add -E so it preserved Env Variables.

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the LIVEcommunity as a whole!

The LIVEcommunity thanks you for your participation!